databases/postgresql12-docs - The NetBSD Packages Collection

PostgreSQL database documentation

PostgreSQL is a robust, next-generation, Object-Relational DBMS (ORDBMS),
derived from the Berkeley Postgres database management system.  While
PostgreSQL retains the powerful object-relational data model, rich data types
and easy extensibility of Postgres, it replaces the PostQuel query language
with an extended subset of SQL.

PostgreSQL is free and the complete source is available.

This package contains the database documentation.

Build dependencies

textproc/docbook-xml textproc/docbook-xsl textproc/dsssl-docbook-modular textproc/iso8879 textproc/openjade textproc/libxslt pkgtools/cwrappers devel/bison devel/gmake lang/perl5

Runtime dependencies

textproc/libxml2 textproc/libxml2

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpostgresql12-docs-12.5.tgz
NetBSD 8.0earmv7hfpostgresql12-docs-12.4nb1.tgz
NetBSD 8.0earmv7hfpostgresql12-docs-12.6.tgz
NetBSD 8.0i386postgresql12-docs-12.4nb1.tgz
NetBSD 8.0i386postgresql12-docs-12.5.tgz
NetBSD 8.0i386postgresql12-docs-12.6.tgz
NetBSD 8.0i386postgresql12-docs-12.7nb1.tgz
NetBSD 8.0powerpcpostgresql12-docs-12.4nb1.tgz
NetBSD 8.0powerpcpostgresql12-docs-12.6.tgz
NetBSD 8.0powerpcpostgresql12-docs-12.5.tgz
NetBSD 8.0powerpcpostgresql12-docs-12.6.tgz
NetBSD 8.0x86_64postgresql12-docs-12.6.tgz
NetBSD 8.0x86_64postgresql12-docs-12.4nb1.tgz
NetBSD 8.0x86_64postgresql12-docs-12.5.tgz
NetBSD 8.0x86_64postgresql12-docs-12.7nb1.tgz
NetBSD 9.0aarch64postgresql12-docs-12.7nb1.tgz
NetBSD 9.0aarch64postgresql12-docs-12.4nb1.tgz
NetBSD 9.0aarch64postgresql12-docs-12.5.tgz
NetBSD 9.0aarch64postgresql12-docs-12.6.tgz
NetBSD 9.0alphapostgresql12-docs-12.6.tgz
NetBSD 9.0earmpostgresql12-docs-12.6.tgz
NetBSD 9.0earmv6hfpostgresql12-docs-12.6.tgz
NetBSD 9.0earmv6hfpostgresql12-docs-12.4nb1.tgz
NetBSD 9.0earmv6hfpostgresql12-docs-12.5.tgz
NetBSD 9.0earmv6hfpostgresql12-docs-12.5.tgz
NetBSD 9.0earmv6hfpostgresql12-docs-12.7nb1.tgz
NetBSD 9.0earmv7hfpostgresql12-docs-12.6.tgz
NetBSD 9.0earmv7hfpostgresql12-docs-12.4nb1.tgz
NetBSD 9.0earmv7hfpostgresql12-docs-12.5.tgz
NetBSD 9.0earmv7hfpostgresql12-docs-12.5.tgz
NetBSD 9.0earmv7hfpostgresql12-docs-12.6.tgz
NetBSD 9.0earmv7hfpostgresql12-docs-12.7nb1.tgz
NetBSD 9.0earmv7hfpostgresql12-docs-12.7nb1.tgz
NetBSD 9.0i386postgresql12-docs-12.4nb1.tgz
NetBSD 9.0i386postgresql12-docs-12.5.tgz
NetBSD 9.0i386postgresql12-docs-12.6.tgz
NetBSD 9.0i386postgresql12-docs-12.7nb1.tgz
NetBSD 9.0mips64ebpostgresql12-docs-12.6.tgz
NetBSD 9.0mips64ebpostgresql12-docs-12.4nb1.tgz
NetBSD 9.0mips64ebpostgresql12-docs-12.5.tgz
NetBSD 9.0powerpcpostgresql12-docs-12.5.tgz
NetBSD 9.0powerpcpostgresql12-docs-12.4nb1.tgz
NetBSD 9.0powerpcpostgresql12-docs-12.6.tgz
NetBSD 9.0powerpcpostgresql12-docs-12.6.tgz
NetBSD 9.0powerpcpostgresql12-docs-12.6.tgz
NetBSD 9.0sparc64postgresql12-docs-12.6.tgz
NetBSD 9.0sparcpostgresql12-docs-12.6.tgz
NetBSD 9.0sparcpostgresql12-docs-12.4nb1.tgz
NetBSD 9.0sparcpostgresql12-docs-12.5.tgz
NetBSD 9.0vaxpostgresql12-docs-12.6.tgz
NetBSD 9.0x86_64postgresql12-docs-12.5.tgz
NetBSD 9.0x86_64postgresql12-docs-12.5.tgz
NetBSD 9.0x86_64postgresql12-docs-12.7nb1.tgz
NetBSD 9.0x86_64postgresql12-docs-12.6.tgz
NetBSD 9.0x86_64postgresql12-docs-12.6.tgz
NetBSD 9.0x86_64postgresql12-docs-12.4nb1.tgz
NetBSD 9.0x86_64postgresql12-docs-12.5.tgz
NetBSD 9.0x86_64postgresql12-docs-12.7nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

bonjour
dtrace
Enable DTrace support.
gssapi
Enable gssapi (Kerberos V) support.
icu
Enable icu support.
ldap
Enable LDAP support.
llvm
Enable run time generation with Low Level Virtual Machine.
nls
Use native language support.
pam
Enable PAM support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.